librevenge::RVNGHTMLTextListStyleManager Class Reference documentation

Classes | Public Member Functions | Protected Attributes | Private Member Functions | List of all members
librevenge::RVNGHTMLTextListStyleManager Class Reference

Small class to manage the list style. More...

`#include <RVNGHTMLTextTextStyle.h>`

Inheritance diagram for librevenge::RVNGHTMLTextListStyleManager:

## Classes
struct | List

## Public Member Functions
| RVNGHTMLTextListStyleManager ()
| constructor
| ~RVNGHTMLTextListStyleManager ()
| destructor
void | defineLevel (RVNGPropertyList const &property, bool ordered)
| add a level to the corresponding list
std::string | openLevel (RVNGPropertyList const &pList, bool ordered)
| returns the class name corresponding to a propertylist
void | closeLevel ()
| close a level
std::string | getClass (RVNGPropertyList const &pList)
| returns the classname corresponding to a list element
void | send (std::ostream &out)
| send the data to the stream
Public Member Functions inherited from librevenge::RVNGHTMLTextParagraphStyleManager
| RVNGHTMLTextParagraphStyleManager ()
| constructor
virtual | ~RVNGHTMLTextParagraphStyleManager ()
| destructor
void | defineParagraph (RVNGPropertyList const &pList)
| define a paragraph style
std::string | getClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist
void | send (std::ostream &out)
| send the data to the stream

## Protected Attributes
std::map< std::string, std::string > | m_levelNameMap
| a map content -> list level name
std::map< int, List > | m_idListMap
| a map listId -> list
std::vector< int > | m_actualIdStack
| the actual list id
Protected Attributes inherited from librevenge::RVNGHTMLTextParagraphStyleManager
std::map< std::string, std::string > | m_contentNameMap
| a map content -> name
std::map< int, std::string > | m_idNameMap
| a map id -> name

## Private Member Functions
| RVNGHTMLTextListStyleManager (RVNGHTMLTextListStyleManager const &orig)
RVNGHTMLTextListStyleManager | operator= (RVNGHTMLTextListStyleManager const &orig)

## Additional Inherited Members
Static Protected Member Functions inherited from librevenge::RVNGHTMLTextParagraphStyleManager
static std::string | getContent (RVNGPropertyList const &pList, bool isList)
| convert a property list in a html content string
static void | parseBorders (RVNGPropertyList const &pList, std::ostream &out)
| add data corresponding to the border

## Detailed Description

Small class to manage the list style.

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextListStyleManager() [1/2]

librevenge::RVNGHTMLTextListStyleManager::RVNGHTMLTextListStyleManager | ( |  | ) |
| inline

constructor

## ◆ ~RVNGHTMLTextListStyleManager()

librevenge::RVNGHTMLTextListStyleManager::~RVNGHTMLTextListStyleManager | ( |  | ) |
| inline

destructor

## ◆ RVNGHTMLTextListStyleManager() [2/2]

librevenge::RVNGHTMLTextListStyleManager::RVNGHTMLTextListStyleManager | ( | RVNGHTMLTextListStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ closeLevel()

void librevenge::RVNGHTMLTextListStyleManager::closeLevel | ( |  | ) |

close a level

Referenced by librevenge::RVNGHTMLTextGenerator::closeOrderedListLevel(), and librevenge::RVNGHTMLTextGenerator::closeUnorderedListLevel().

## ◆ defineLevel()

void librevenge::RVNGHTMLTextListStyleManager::defineLevel | ( | RVNGPropertyList const & | property,
|  | bool | ordered
| ) |  |

add a level to the corresponding list

Referenced by openLevel(), librevenge::RVNGHTMLTextGenerator::openOrderedListLevel(), and librevenge::RVNGHTMLTextGenerator::openUnorderedListLevel().

## ◆ getClass()

std::string librevenge::RVNGHTMLTextListStyleManager::getClass | ( | RVNGPropertyList const & | pList | ) |

returns the classname corresponding to a list element

Referenced by librevenge::RVNGHTMLTextParagraphStyleManager::defineParagraph(), librevenge::RVNGHTMLTextSpanStyleManager::defineSpan(), and librevenge::RVNGHTMLTextGenerator::openListElement().

## ◆ openLevel()

std::string librevenge::RVNGHTMLTextListStyleManager::openLevel | ( | RVNGPropertyList const & | pList,
|  | bool | ordered
| ) |  |

returns the class name corresponding to a propertylist

Referenced by librevenge::RVNGHTMLTextGenerator::openOrderedListLevel(), and librevenge::RVNGHTMLTextGenerator::openUnorderedListLevel().

## ◆ operator=()

RVNGHTMLTextListStyleManager librevenge::RVNGHTMLTextListStyleManager::operator= | ( | RVNGHTMLTextListStyleManager const & | orig | ) |
| private

## ◆ send()

void librevenge::RVNGHTMLTextListStyleManager::send | ( | std::ostream & | out | ) |

send the data to the stream

Referenced by librevenge::RVNGHTMLTextGenerator::endDocument().

## Member Data Documentation

## ◆ m_actualIdStack

std::vector<int> librevenge::RVNGHTMLTextListStyleManager::m_actualIdStack
| protected

the actual list id

Referenced by closeLevel(), and openLevel().

## ◆ m_idListMap

std::map<int, List> librevenge::RVNGHTMLTextListStyleManager::m_idListMap
| protected

a map listId -> list

Referenced by closeLevel(), defineLevel(), and openLevel().

## ◆ m_levelNameMap

std::map<std::string, std::string> librevenge::RVNGHTMLTextListStyleManager::m_levelNameMap
| protected

a map content -> list level name

Referenced by openLevel(), and send().

The documentation for this class was generated from the following files:

- RVNGHTMLTextTextStyle.h
- RVNGHTMLTextTextStyle.cpp